Skip to main content
GET
/
v2
/
portfolio
/
best-deposit-options
/
{userAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/portfolio/best-deposit-options/{userAddress} \
  --header 'x-api-key: <api-key>'
{
  "requestedAddress": "<string>",
  "userBalances": [
    {
      "depositOptions": [
        {
          "name": "<string>",
          "address": "<string>",
          "network": {
            "name": "mainnet",
            "chainId": 123,
            "networkCaip": "<string>"
          },
          "isTransactional": true,
          "isAppFeatured": true,
          "protocol": {
            "name": "<string>",
            "product": "<string>",
            "version": "<string>",
            "protocolUrl": "<string>",
            "description": "<string>",
            "protocolLogo": "<string>"
          },
          "tvl": {
            "usd": "<string>",
            "native": "<string>"
          },
          "apy": {
            "base": 123,
            "reward": 123,
            "total": 123
          },
          "projectedUsdAnnualEarnings": "<string>",
          "tags": [
            "<string>"
          ],
          "lendUrl": "<string>",
          "protocolVaultUrl": "<string>"
        }
      ],
      "asset": {
        "address": "<string>",
        "assetCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "assetGroup": "<string>",
        "balanceNative": "<string>",
        "assetLogo": "<string>",
        "assetPriceInUsd": "<string>",
        "balanceUsd": "<string>"
      }
    }
  ],
  "errors": {
    "unsupportedNetworks": [
      "<string>"
    ],
    "unsupportedAssets": [
      "<string>"
    ],
    "unsupportedProtocols": [
      "<string>"
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to be used for best vault calculation

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

allowedAssets
string[]

Assets to be included by symbol(ticker).

Minimum string length: 1
disallowedAssets
string[]

Assets to be excluded by symbol(ticker). The parameter is ignored if "allowedAssets" is specified.

Minimum string length: 1
allowedProtocols
string[]

Protocols to be included by name.

Minimum string length: 1
disallowedProtocols
string[]

Protocols to be excluded by name. The parameter is ignored if "allowedProtocols" is specified.

Minimum string length: 1
minTvl
integer
default:100000

Minimum TVL in USD of the vaults to be included

minVaultScore
number

Minimum vault score required for a vault to be included

Required range: x >= 0
onlyTransactional
boolean

Include only vaults that are supported in the transactional interface.

Include only vaults that are featured in app.vaults.fyi

allowCorrupted
boolean
default:false

Allow inclusion of corrupted vaults.

allowVaultsWithWarnings
boolean

Whether to include vaults with warnings. Defaults to true.

allowedNetworks
enum<string>[]

Networks to be included (name or CAIP).

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
disallowedNetworks
enum<string>[]

Networks to be excluded (name or CAIP). The parameter is ignored if "allowedNetworks" is specified.

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
apyInterval
enum<string>
default:7day

Interval for APY data. Possible values: 1day, 7day, 30day

Available options:
1day,
7day,
30day
minApy
number

Minimum APY of the vault to be included

Required range: x >= 0
minUsdAssetValueThreshold
number
default:1

Minimum USD value of the vault to be included

Required range: x >= 0
alwaysReturnAssets
string[]

Assets to always be included in the response.

Minimum string length: 1
maxVaultsPerAsset
integer
default:3

Maximum number of vaults to be included per asset.

Required range: x > 0

Response

Default Response

requestedAddress
string
required

Address of the user requesting the data

Pattern: ^0x[a-fA-F0-9]{40}$
userBalances
object[]
required

Array of user balances with asset and vault details

errors
object